Changes in version 3.2.3
------------------------

  - Fix crash on startup in Windows.

  - Fix compilation with gcc 15.


Changes in version 3.2.2
------------------------

  - Bug fixed: it is not possible to shrink the window's width.


Changes in version 3.2.1
------------------------

  - Bug fixed: $world->hookenabled now works correctly when checking
    status of hook 0.

  - Bug fixed: KCWin's are again scrolled when text is added to them.

  - Bug fixed: if called with a command-line argument that is not the
    name of a saved world, KildClient tries to interpret that as a
    hostname, instead of crashing.

  - Bug fixed: it is now possible to copy text via the output area
    context menu again.


Changes in version 3.2.0
------------------------

  - Bug fixed: triggers and aliases now work with non-ASCII characters
    (accented letters, other alphabets and writing systems).

  - Handling of non-ASCII characters (accented letters, other
    alphabets and writing systems) in Perl works much better now, as
    strings are properly marked as being in UTF-8.
    For example, $world->echonl(length("á")) now prints "1" instead of "2".

  - It is not necessary to specify a command to run a browser, the
    default browser (as selected by the system's mime database) is now
    used.

  - It is now possible (but not recommended) to select another
    character to be used to run Perl commands instead of the default
    '/'.


Changes in version 3.1.0
------------------------

  - A list of available languages for spell checking is now displayed
    instead of having to manually enter the language code.

  - It's now possible to set a default file name for log files using
    the Preferences>Edit default world menu.

  - Added the $world->getinput() and $world->setinput() functions set
    retrieve and set the current input in the command entry box.

  - Bug fixed: the list of recent commands is now displayed again when
    the "down" button next to the input box is clicked.

  - Bug fixed: OnServerData hooks can now be exported just like other
    hooks.

  - Bug fixed: KildClient no longer crashes when an error happens
    during TLS negotiation.

  - Some strings that weren't displayed in the local language under
    Windows are now displayed properly translated.

  - The deprecated functions getwindowsize(), minimize() and path()
    have been removed. If your code still uses them, they'll have to
    be replaced by $window->getsize(), $window->minimize() and
    $world->path(), respectively.


Changes in version 3.0.1
------------------------

  - Bug fixed: scroll to end working again with GTK+ 3.13 and later.


Changes in version 3.0.0
------------------------

  - The code responsible for interpreting the lines received from the
    server and displaying them has been rewritten to take advantage of
    newer processors by doing things in parallel. That should make the
    program more responsive, especially when there are many triggers.

  - KildClient has been upgraded to use GTK+ 3. This should not affect
    your user experience, but plugins that use gtk2-perl for graphical
    interface need to be upgraded to use gtk3-perl. In most cases,
    just replacing s/Gtk2/Gtk3/ should be sufficient. But if the
    plugin used deprecated functions, bigger changes might be
    necessary. See the following link for more information on
    upgrading: https://metacpan.org/release/Gtk3/

  - KildClient now supports the GMCP (also called ATCP2) and MSDP
    protocols for data transfer between the server and client.

  - KildClient now supports HTTP proxies.

  - Timers can now have sub-second intervals. The syntax is the same,
    but you can now use an interval of "0.5" to run the timer twice
    per second.

  - New functions have been created to enable/disable triggers,
    aliases, macros, timers and hooks without printing the "Trigger
    modified" message (or similar): silentenatrigger/silentdistrigger
    and similarly for the other objects.

  - New function $world->cmdseparator() to set and retrieve the
    command separator.

  - When opening log files, parent directories are created as
    necessary automatically.

  - New function getclientname() returns the name of the client
    ("KildClient").

  - Bug fixed: KildClient no longer crashes when importing triggers or
    aliases from the World Selector.

  - Bug fixed: Some telnet commands (used to configure protocols for
    communication between KildClient and the server) could be ignored
    if immediately following a new line.


Changes in version 2.11.1
-------------------------

  - Bug fixed: the SSL handshake locked the interface. And KildClient
    would wait forever if it never completed, requiring a forced
    close.

  - Fixed bug with some 256-color ansi sequences.

  - Fixed a bug that caused the program to freeze when deleting a
    trigger or alias of a Word edited from the World Selector.

  - If a plugin fails to load, any objects created by that plugin are
    removed.

  - Fixed bug that prevented copying text from the scroll window.

  - Fixed crash that happened if you had a rewriter trigger without an
    action. (Thanks to dmzkrsk.)


Changes in version 2.11.0
-------------------------

  - Added an option to disable up/down for navigating the command
    history (Alt+up/down will remain working.) This allows the use of
    input methods that use the arrow keys as part of the input
    process.

  - Included the 'channels' plugin by Jack Mudge. It allows for
    capturing all lines of text matching a regexp to a separate
    window.

  - The path() function has been changed, it should now be called as
    $world->path(). It now respects the delay and grouping settings in
    the Preferences dialog instead of sending all commands at once.

  - The Windows version now supports SSL.xb

  - Bug fixed: the clear button in KCWin windows is now working.

  - Bug fixed: under some systems (PC-BSD, for example) connections do
    not always fail anymore.


Changes in version 2.10.0
-------------------------

  - Added German translation, courtesy of René Küttner.

  - It is now possible to use the matched substrings captured with ()
    groups in triggers even if the action is not a Perl command: use
    $1 to represent the first matched substring, $2 for the second,
    and so on.

  - It is now possible to split the screen so that you can see
    simultaneously the newly received text and some other part of the
    scrollback buffer.

  - New wrapping options added: it is possible to indent wrapped
    lines, and lines can be wrapped after a specific number of
    characters, if the window is wider.

  - It is now possible to disable the tooltips with the time when a
    line was received.

  - You can now pass a host name in the command line to connect to a
    World. If you need to specify a port other than 4000, use
    hostname:port. Also, telnet:// URLs are recognized.

  - Added an option to enable TCP Keep Alive. (Based on patch by Tasci
    Synx.)

  - Fixed bug that prevented the World Editor to be opened again if it
    was closed by pressing ESC or using the X button of the title bar.

  - Fixed bug: when the World Editor is cancelled, changes you made
    are reverted if it's opened again.

  - Fixed a bug that caused the program to freeze when editing or
    creating a new World from the World Selector.

  - Fixed bug: worlds with only one auto-logon character now also have
    an option to disable auto-logon in the World Selector.

  - Fixed bug that caused on the OnCloseConnected hook to be executed
    when it shouldn't (before a connection is really established, or
    when the server closes the connection).

  - Fixed a bug that reported an error when loading plugins even when
    there was no error.


Changes in version 2.9.0
------------------------

  - The Command History dialog now displays the most recent commands
    in the top.

  - If you type a command that you had typed before, now only one copy
    is stored in the command history.

  - It is now possible to customize what's displayed in the tab for
    each World, including for example the name of the character logged
    in.

  - When you start logging, you can now include lines already present
    in the scrollback buffer.

  - Added the $world->interpret() function, that takes its argument
    and interprets it as if it were typed in the input box.

  - Added the $world->expandalias() function to expand aliases in a
    given string.

  - When defining the file name for logging, it is possible to use the
    escapes %Kw and %Kc to represent the world's name and auto-logon
    character name, respectively.

  - Added the $world->sendlines() function to easily send several
    lines with a delay between each line (or group of lines).

  - Added the $world->mlsend() function to emulate the Multi-line send
    feature (and all its possibilities) from within a perl script.

  - The $world->sendfile() function now returns true for success (the
    file was sent) and false if the file could not be opened.

  - Added the $world->getline() function to retrieve a line from the
    scrollback buffer.

  - In the "Edit Default World" dialog, some settings related to
    logging that did not make sense in that context are not displayed
    anymore.

  - Bug fixed: using the '>' character in a trigger or alias does not
    cause errors anymore.

  - Bug fixed: warnings about editing a plugin's object (triggers,
    aliases, etc.) now only show when the object edited really is from
    a plugin.

  - Bug fixed: if you change a world's name, the tab now changes to
    the new name immediately.

  - Bug fixed: you can define macros containing keys such as the
    arrows and Page Up/Page Down. Care is recommended when doing that,
    though, because it can conflict with built-in commands for moving
    the cursor, for example.


Changes in version 2.8.1
------------------------

  - Added Swedish translation, thanks to Niklas Grahn.

  - Backspace characters received from the MUD work, erasing the
    previous char.


Changes in version 2.8.0
------------------------

  - SOCKS proxy support has been added.

  - The tab bar can be hidden if there is only open open tab.

  - If all the text you type is displayed as black dots (like it was a
    password), you can now set an option to prevent that and see the
    text in the input box. (This is necessary with a few servers that
    do the command echoing themselves.)

  - In the multi-line input box, Shift+Enter and Ctrl+Enter now allow
    you to enter a new line of text, instead of sending the contents
    of the box.

  - The $world->deltrigger() function (and the other ones for aliases,
    macros, etc.) now return the number of objects deleted.

  - Bug fixed: If you edit the list of auto-logon characters
    (reordering them or deleting entries), you could reconnect with
    the wrong character or get a crash. Now you always reconnect with
    the same character, even if the order is changed; if that
    auto-logon character is deleted, then auto-logon is disabled.


Changes in version 2.7.0
------------------------

  - Added a $window variable pointing to the main window. The
    minimize() function is now $window->minimize() and getwindowsize()
    is now $window->getsize(). Because of this change, some of your
    scripts may need to be rewritten.

  - The name of the currently open world is displayed in the title
    bar.

  - Added the $window->settitle() function to set the title of the
    window.

  - Added the $window->seturgencyhint() function to force a request of
    attention to that window.

  - Fixed bug that caused a crash on startup in Ubuntu 8.04 (and
    possibly other systems).

  - Fixed bug that prevented a plugin from using its permanent
    variables during initialization of the plugin.

  - OnGetFocus and OnLoseFocus triggers are now run after the setting
    of the window title and urgency hint, so the triggers can override
    the default behavior.

  - Added functions to get a trigger/alias/macro/timer/hook's number
    based on its name.

  - The URL in the about box can now be clicked to go to KildClient's
    web site.

  - Added the $world->getlogfile() function to retrieve the name of
    the file to which the output is logged.


Changes in version 2.6.0
------------------------

  - There is now a close button in the tabs for quickly closing the
    world.

  - It is now possible to reorder the Worlds by dragging the tabs to
    the new desired position.

  - When trying to connect to a Mud server, KildClient does not freeze
    anymore (it tries connecting asynchronously).
    (Includes patch by Zephaniah E. Hull.)

  - It is now easier to set up session logging, as logging can be
    configured and started/stopped from the World Editor. It is even
    possible to configure logging to automatically start from there.

  - Added the option not to store the command history between
    sections.
    (Patch by Zephaniah E. Hull.)

  - The keypad keys can now be used in the input box and in dialogs.
    (Patch by Zephaniah E. Hull.)

  - You can now alternate worlds with Ctrl-Tab and Ctrl-Shift-Tab.

  - Some bugs in the Windows version regarding network handling were
    fixed.

  - Added the $world->ispermanent function to check if a variable is
    permanent.

  - Added the $world->getcharacter function to return the name of the
    character used to auto log in to the mud.

  - Changed the delimiter for pattern matching in triggers and alias
    substitution (from <> to ASCII character 5, ^E). This should allow
    '>' (used in ->, for example) to be used in an easier way in
    aliases.

  - Bug fixed: When you open two worls in the Windows version and
    close one, or when you try to connect to another one in the same
    session, the program does not crash anymore.

  - Fixed a bug that sometime caused KildClient under Windows to crash
    when switching to another world.

  - Bug fixed: If a timer has an interval or repeat count that is a
    large number, the output of $world->listtimer is now properly
    aligned.

  - Bug fixed: When reading XML files (Worlds or triggers/etc to
    import), KildClient recognizes the files properly even if they do
    not end in a newline.


Changes in version 2.5.1
------------------------

  - The last openened world is not selected and displayed on-screen
    when the World Selector dialog is shown.

  - The default strings for calling a browser and playing a sound now
    use quotes around the argument.

  - The tooltip with information about the line is not shown anymore
    at the same time as the "Disconnected" message box, so it does not
    cover the buttons in that dialog.

  - Bug fixed: If the kildclient.cfg file does not exist (which
    happens usually in the first run), KildClient does not crash
    anymore.

  - Bug fixed: In single-line input mode, pressing Shift+Enter or
    CTRL+Enter now sends the line to the mud.

  - Bug fixed: KildClient does not crash anymore if you try to connect
    to a world with invalid XML.


Changes in version 2.5.0
------------------------

  - You can now change the color and style of a line that matched a
    trigger (also known as highlighting).

  - When new text is received, the window now flashes to draw your
    attention to it (if your window manager supports the "Urgent"
    hint). This feature can be disabled, however.

  - You can now specify another directory to store configuration files
    and saved Worlds, instead of the default ~/.kildclient (Linux) or
    %APPDATA%\kildclient (Windows), with the -c command-line option.

  - You can now manipulate, from a given World, another World. You get
    a pointer to it with the getworld() function, and then call
    functions on that pointer.

  - Added a new hook: OnCloseDisconnected. This hook is executed when
    you forcedly close a world while it is disconnected (via the menu
    World->Close, $world->close() or by quitting the program). So you
    can put "quit" in there to always exit the mud nicely.

  - Added the SILENT attribute to worlds: if $world->{SILENT} is set
    to a true value, some messages (such as "Trigger added", "Alias
    enabled", etc.) are not printed.

  - Fixed bug that closed the client if the Help button was pressed in
    the World Editor for a plugin that does not define a help
    function.

  - Bug fixed: now you can only open the Test Triggers dialog if you
    are connected to the world.

  - Fixed a bug that cause NAWS information to be sent with each
    command if the server supports it.


Changes in version 2.4.1
------------------------

  - Fixed bug that caused crashes on startup with messages like this:
    *** glibc detected *** free(): invalid pointer: 0x081903c0 ***
    Aborted

  - Bug fixed: now if two triggers match the same line, each capturing
    different parts of the line with () in the regular expression, the
    commands of each trigger will be run with the correct captured
    parts in the $_[X] variables.


Changes in version 2.4.0
------------------------

  - When using the multi-line input box, the up and down arrows behave
    now more naturally: they either retrieve the previous/next command
    or move the cursor. They move the cursor if you have already moved
    the cursor in order to edit the line, and move through commands
    otherwise.

  - You can now type the start of a command and use Alt+Shift+Up and
    down arrows to recall previously entered commands.

  - The keyboard shortcuts for moving through worlds were wrong: now
    they behave correctly: ctrl+page_down for next world and
    ctrl+page_up for previous world.

  - Added spell checking support to check what you type in real-time.

  - Pressing ENTER when in the "host" or "port" fields of the World
    Selector now works.

  - Pressing ENTER when in the search box activates Find Next, and
    pressing ESC closes the search bar.

  - If you try to exit the program when there are open worlds, a
    confirmation dialog is now displayed.

  - When using the Multi-Line Send feature, you can now choose not to
    close the dialog after sending.

  - A new function, $world->sendfile() has been added, that allows the
    contents of a file to be sent to the mud.

  - Two new functions, $world->getconntime() and $world->getidletime()
    retrieve the time connected and idle time, respectively.

  - Now by default MCCP is only activated if the request from the
    server to enable it comes at most 1 minute after the connection.
    This is to prevent other users in a MUD from trying to crash your
    client by sending the special sequence that turns on compression
    (however, well written MUD servers will not allow players to send
    such sequences). You can, however, cause MCCP to work if started
    anytime, or disable it altogether.

  - When Debug Matches is on, the name of triggers and aliases is now
    displayed when there is a match.

  - Fixed a bug that caused a crash (or at least a warning) when the
    Preferences Dialog was opened a second time.

  - Fixed a bug that prevented changing the input bar size when
    editing a World from the World Editor.

  - Fixed a bug that didn't show the status of the input bar correctly
    when editing a World.

  - Fixed a bug that caused a crash when very long lines were received
    when compression is active.

  - Fixed a bug that caused a crash when the Manual menu was selected
    for the second time.

  - Bug fixed: if compression is disabled during the MUD session, the
    status bar and Statistics dialog now reflect that fact.

  - Bug fixed: weird error messages are not shown anymore when a
    connection is closed cleanly.


Changes in version 2.3.0
------------------------

  - Added a feature to search the buffer for a given string.

  - The input bar can now have more than one line, to ease typing long
    commands.

  - Added the "Edit" menu with the usual Cut, Copy, Paste and Delete.

  - When you have a prompt and some command echoes text in the screen,
    this text is printed above the command and not after the prompt.

  - Triggers and aliases can now match case-insensitively.

  - The play() function has been added. This function allows you to
    play WAV files.

  - It is now possible to export triggers, aliases, macros, timers,
    permanent variables and hooks and import them in other worlds.

  - The order of permanent variables can now be changed (but this is
    only for grouping of realted variables, there is no real effect in
    the world).

  - The entry boxes in the Multi Line Send dialog are now 80
    characters wide.

  - In the editors for triggers, aliases, etc., you can now select
    more than one item and delete all selected items at once.

  - You can display items defined by plugins in the editors for
    triggers, aliases, etc. The changes, however, are NOT made in the
    plugin file.

  - KildClient can now connect with SSL to servers that support Telnet
    Over SSL, and the MUD session will be encrypted. (Note: this
    feature can be disabled at compilation time.)

  - Added the functions $world->triggerenabled(),
    $world->aliasenabled(), $world->macroenabled(),
    $world->timerenabled() and $world->hookenabled() to check if a -
    given trigger, alias, etc. is enabled. These functions can also be
    used to check for existence of triggers, aliases, etc.

  - Plugins can define two functions ENABLE and DISABLE to be called
    when the plugin is to be enabled or disabled, if this action
    requires some extra functionality that the default actions are not
    enough.

  - Fixed a bug that caused macros not to be run when non-English
    keymaps are used. (Thanks to Sergey Bogdanov.)

  - Fixed a bug that caused the wrong number of lines that fit in the
    window to be calculated (and sent to the server if NAWS is being
    used) under some circunstances.

  - Fixed a bug that caused a segfault when a recursive alias
    definition was found. Now alias processing stops after the command
    line gets too big.

  - Fixed a bug that caused a segfault after a world was closed.


Changes in version 2.2.2
------------------------

  - In colorize(), you can now use && and ^^ to insert a literal & or
    ^ character.

  - URLs with username and password for authenticated login are now
    detected correctly and made clickable.

  - Removed some big memory leaks that caused KildClient's memory
    comsumption to get very high in long sessions.

  - Fixed a security bug that caused a segmentation fault when a very
    long ANSI sequence was receveived.

  - Fixed a bug that caused a crash when a connection was broken
    abruptly (ie, not in a tidy way, generally because of a network
    failure).

  - Fixed a bug that caused a segfault in the Windows version when
    $world->listtrigger was used and there was a trigger without an
    action.

  - Fixed a bug that caused text to be displayed in the wrong colors
    or attributes when non-recognized ANSI sequences were received.


Changes in version 2.2.1
------------------------

  - Fixed a bug that caused a crash (segfault) when trying to connect
    to a World. This bug affects the Windows version.


Changes in version 2.2.0
------------------------

  - KildClient has now much more complete support for ANSI codes: if
    you mud server uses it, KildClient can display text underlined
    (singly and doubly), in italics, striked through, in reverse video
    and in hidden mode. The colorize() function has been extended to
    include codes to turn on these attributes.

  - KildClient now supports vt100's line-drawing mode, which allows
    tables to be built with proper characters (and not +, - and |)
    that look really nice. (But the server must use these characters,
    naturally.)

  - KildClient now supports xterm's sequences to access a 256-colour
    mode instead of only the default 16. The colorize() function has
    been extended to allow a way to access these additional colors so
    you can use them in echoed text even if you mud server does not
    use them.

  - You can set some world parameters (such as fonts, colors, and
    others) as defaults, and all new worlds will use these defaults
    when they are created.

  - You can now have more than one character for auto-login. When a
    World has more than one character defined for auto-login, its
    entry in the World Selector can be expanded to show all
    characters and you can select which one to use for auto-login.

  - Added the hability to test triggers and see how they would react
    to lines sent from the MUD.

  - The line count in the status bar now displays the total number of
    lines received for that session, and not the number of lines in
    the scrollback buffer (which never increases, once the limit is
    reached).

  - The Reconnect and Connect to Another menu itens now have shortcuts
    (CTRL+R and CTRL+SHIFT+R, respectively).

  - You can now set default values for the command group size and
    delay between sending command groups (used in the Multi-line Send
    and Command History dialogs) in the Preferences dialog.

  - In the editors for triggers, aliases, etc, you can now delect a
    line by selecting it and pressing the DEL key.

  - When you connect to a world that uses MCCP, that information is
    now displayed in the status bar.

  - Fixed a bug that caused an infinite loop when there was an
    OnSentCommand hook and two triggers matched and caused commands to
    be sent.

  - Fixed a bug that sometimes caused segfaults when "Connect to
    Another World" was selected.


Changes in version 2.1.0
------------------------

  - KildClient now records the time at which each line of the MUD
    output was received. You can see this time by leaving the mouse
    over a line of output for a brief time.

  - A new dialog has been added in which you can review the command
    history, send commands again, find commands, etc.

  - The shortcut for moving to the next or previous world is not
    CTRL+Page Up or CTRL+Page Down, respectively, but the old ones
    (ALT+Right or Left arrow) still work. There are also new
    shortcuts: ALT+<num> where <num> is a number from 1 to 9 will move
    to the corresponding world.

  - There's an option in the Advanced section of the World Editor that
    allows you to skip the confirmation dialog when deleting a
    trigger, alias, etc.

  - The Reconnect menu item (and the $world->reconnect function) now
    work even if you are connected, closing the connection and trying
    to reconnect.

  - Added a new hook, OnDisconnect, triggered after you are
    disconnected from a World.

  - Fixed a bug that caused a newline to be sent when a pure gag
    trigger (one without an action) matched.

  - Fixed a bug that caused you to be disconnected if a very long line
    was sent by the mud.

  - Fixed a bug that caused the first line of output not to be
    correcty displayed in some circunstances.


Changes in version 2.0.0
------------------------

  - It is now possible to add, edit, remove, plugins, triggers,
    aliases, macros, timers, hooks and permanent variables using a
    Graphical User Interface, accessible from the World Editor.
    Dealing with Perl is not necessary anymore for that.

  - Having the World Editor open does not prevent you from using the
    program anymore.

  - URLs in the MUD window are now more clearly marked, and pressing
    the left mouse button opens them automatically. The right mouse
    button still pops up a menu with an option to open it or copy the
    URL's address.

  - Dialog windows (especially the World Selector) now appear in the
    center of the screen, and not in awkward places.

  - The output from the MUD is not shown anymore in a vte widget, but
    in a TextView. This should not bring any big changes, things
    should still work as before with small modifications. The only
    thing that has been removed is the hability to have a transparent
    or image background.

  - KCWin's now use a TextView also. Gnome2::Vte::Terminal is not
    necessary anymore. If you used the ->{VTE} widget directly, you
    will need to make some changes to you plugins. The other functions
    (especially feed()) still work as before.

  - Added the $world->movetrigger() function to reorder triggers, and
    similar functions for aliases, times, macros and hooks.

  - Fixed a bug that attributed an invalid name to some hooks.

  - Bug fixed: macro names are displayed in $world->listmacro().

  - Bug fixed: attempting to edit an offline World no longer crashes
    KildClient.

  - Corrected some problems that caused build failures for some
    versions of the Perl library.


Changes in version 1.3.2
------------------------

  - Bug fixed: KildClient does not segfault anymore when opening a new
    world for the first time.

  - Bug fixed: & and < can be used in the command separator and this
    does not cause the world to stop being recognized anymore.


Changes in version 1.3.1
------------------------

  - This version fix a library dependency problem. It brings no new
    features and bugfixes, but if you had problems building version
    1.3.0, try using this version.


Changes in version 1.3.0
------------------------

  - You can now specify one or more world names in the command line,
    and these worlds will be automatically opened.

  - The status bar is more informative and more configurable: it can
    display the time connected and/or idle, and the font can be
    changed.

  - When you are disconnected from a world, there is another option
    you can select: Offline, to keep that window open, so that you can
    review the screen, run Perl commands, etc.

  - Two new function: $world->reconnect() reconnects to the world that
    was open, when in offline mode. $world->connectanother() closes
    the current connection (if one is open) and allows you to select
    another world to connect to, using the same tab.

  - The command history is now more functional, behaving similary to
    the command history used in the Bash shell and other programs
    using the same library. The most noticeable feature is that if you
    start typing something and move to another command, the partially
    typed command is not lost.

  - More parts of KildClient appear translated (if there is a
    translation for that language, naturally).

  - The substitution of aliases can now be evaluated as a Perl
    statement (using the s//e construct). See the manual for more
    details.

  - KildClient now identifies itself using the Telnet TERMINAL TYPE
    option.

  - KildClient now supports the Telnet NAWS option to inform the
    server of the current window size.

  - A new menu has been added: Debug Matches in the Preferences menu.
    When this option is selected, information about matched triggers
    and alises will be output to stderr.

  - The enaXXX, disXXX and listXXX functions now support several
    arguments, for example: $world->distrigger(1, 3).

  - Bug fixed: when sending something to the server that contains the
    Telnet IAC character, that character is now correctly escaped.

  - Bug fixed: timers with names now have this name loaded correctly
    upon loading a world.


Changes in version 1.2.0
------------------------

  - The list of save worlds is now displayed sorted alphabetically.

  - It is now possible to temporarily disable all trigger (or all
    macros, or all aliases, or all timers) via the Preferences menu.

  - The command separator can now be configured instead of having to
    be %;. (But %; is still the default.)

  - KildClient now supports MCCP (Mud Client Compression Protocol)
    version 1 and 2. This protocol, supported by several servers,
    compresses that sent by the server, thus reducing greatly the
    bandwidth used. And this happens transparently, so the user
    doesn't need to do anything.

  - A new trigger mode: rewriter triggers. Rewriter triggers run
    before normal triggers and can change the received line, so that
    further triggers work on the changed line.

  - Hooks work now more similary to triggers, aliases, etc: for each
    event, you can connect any number of hooks, and later edit them,
    disable them, etc. This is mainly for the use of plugins that want
    to define hooks. There have been some changes in the functions
    that deal with hooks. Also, a new hook has been added:
    OnSentCommand, run after each sent command.

  - When a plugin is unloaded (that is, when the world that loaded it
    is closed, KildClient will call the plugin's UNLOAD function
    automatically.

  - New functions, $world->getname(), $world->getmainfont() and
    $world->getentryfont() that return the name of the world, the main
    window font, and the command entry font, respectively.

  - New functions, getversion() and $world->getpluginversion() to
    return the version of KildClient or of a given plugin.

  - A new stardard helper plugin, KCWin, meant to be used in other
    plugins that require a little window for input and output.

  - A new standard plugin, notes, to associate notes with a world.

  - A new standard plugin, easypath, makes using paths easier.

  - A new plugin allows peer to peer chat with other users or
    KildClient or of other compatible clients that implement the
    MudMaster or zChat protocols.

  - Fixed a bug when it was not possible to connect to the first world
    tried when the program was started. (It used to pop two World
    Selector dialogs).

  - Fixed a bug that caused a crash when the user tried to enable or
    disable a plugin that was not loaded.


Changes in version 1.1.2
------------------------

  - Bug fixed: pressing up arrow to retrieve the last command now
    correctly retrieves it in all cases.

  - Bug fixed: the anti-flood mechanism now works correctly even with
    multiple open worlds.

  - Bug fixed: some worlds were marked with new text and not be
    unmarked when focused, this does not happen anymore.

  - Bug fixed: the Preferences dialog now displays correctly when
    opened.

  - Bug fixed: avoided duplicate creation of plugin timers when the
    plugin is loaded from a script file.

  - Bug fixed: when the MUD sends lot of text at once, KildClient does
    not lock until all the text has been received, and does not show
    it all at once anymore.

  - Bug fixed: $world->setstatus() now correctly works even if the
    window does not have the focus when the function is called.

  - Bug fixed: when deleting a world, all its files are deleted, not
    only the .wrl file.

  - Bug fixed: when the last world is disconnected, "Connect to
    another world is selected" and then "Cancel" is clicked, the
    program now exits correctly instead of keeping an open window.

  - The check for trigger (done for each received line) and for
    aliases (done for each typed command) should be faster now, as
    some optimizations regarding that have been done.


Changes in version 1.1.1
------------------------

  - Some changes regarding plugins:

    * The format for the plugin file has been slightly changed (there
      is no need to enclose the file in a block now). Plugins will
      have to be changed, but this change should be very easy to do.

    * If the plugin cannot be loaded by some reason (syntax error, it
      requires a non-existent Perl module, etc), loadplugin() will not
      consider the plugin as loaded anymore.

    * Similar to the above, if die() is called in a BEGIN block in the
      plugin file, the loading of the plugin can be aborted. This can
      be used to test for some condition and abort the loading if that
      is not met.

    * A function has been added, $world->requireplugin, that is
      similar to loadplugin(), but first checks if the plugin is
      already loaded. If it is, it returns successfully. If not, it
      tries loading the plugin (silently). If this succeeds, the
      function returns successfully, if not, it die()'s. This function
      is useful in plugins that require other plugins, and is meant to
      be called in a BEGIN block of a plugin that requires another.

  - Hyperlinks that appear in the MUD window can now be open in a web
    browser (or other program), or have they URLs copied, by clicking
    the right mouse button over them.

  - The keys for moving between worlds are now Alt+Left or Right
    arrow, because Ctrl+these arrows is used to move between words in
    the command entry box.

  - Corrected bug that caused the About dialog to be displayed only in
    the first time it was requested.


Changes in version 1.1.0
------------------------

  - There is now support for plugins, which are Perl scripts that add
    new functionality to the client. Plugins can define functions,
    triggers, timers, macros, aliases, etc.

  - Triggers, aliases, macros and timers can be given names. These
    names can be used when enabling, disabling and deleting them.
    Several triggers (or aliases, macros, timers) can have the same
    name. In this case, a group is formed, and operations for
    enabling, disabling and deleting them work on all of them at once.

  - The World Selector dialog now starts with the last open world
    selected.

  - There are menu entries for moving between worlds. The shortcuts
    Ctrl+Left Arrow and Ctrl+Right Arrow can also be used.

  - Added the getwindowsize() function to return the size of the
    window, in characters.

  - Added the $world->commandecho() function to set or get the value
    of the command echo option of the world.

  - Added the $world->sendecho() and $world->sendnoecho() functions
    that behave just as $world->send(), but which never or always,
    respectively, echo the sent commands.

  - Added the Esperanto translation.

  - Some bugs fixed.


Changes in version 1.0.0
------------------------

  - This is the first public release.
